funct(3rtapi)

NAME

rtapi_slab.h - RTAPI wrappers for linux kernel functionality

SYNTAX

#include <rtapi_slab.h>

void *rtapi_kmalloc(size_t size, gfp_t g);

void *rtapi_kzalloc(size_t size, gfp_t g);

void *rtapi_krealloc(size_t size, gfp_t g);

void rtapi_kfree(void *);

DESCRIPTION
In kernel space, each rtapi_xxx or RTAPI_XXX identifier is mapped to the underlying kernel functionality, if available.

In userspace, or in kernels where the underlying functionality is not provided by a kernel, generally another implementation--possibly with reduced functionality--is provided. (For example, the userspace implementation for rtapi_device_register always succeeds)

REALTIME CONSIDERATIONS
Call only from within init/cleanup code, not from realtime tasks. This function is not available from non-realtime code.

RETURN VALUE
As in Linux.

SEE ALSO